#!/usr/bin/make -f
SHELL := sh -e
VERSION := $(shell dpkg-parsechangelog -SVersion | sed 's/+.*//g')

UPSTREAM_SOURCE = RB3_firmware
DIR_ORIG = $(UPSTREAM_SOURCE)_$(VERSION)
ZIP_ORIG = $(UPSTREAM_SOURCE)_$(VERSION).zip

override_dh_auto_build:
	mkdir -p $(DIR_ORIG)
	unzip -q $(ZIP_ORIG) -d $(DIR_ORIG)
	cp ./$(DIR_ORIG)/LICENSE.qcom.txt debian/copyright

	cp ./$(DIR_ORIG)/17-USB3-201-202-FW/K2026090.mem ./$(DIR_ORIG)/renesas_usb_fw.mem

# comaptibility with old and new Debian repos.
override_dh_installdeb:
	dh_installdeb
	if command -v dh_movetousr >/dev/null; then dh_movetousr; fi

override_dh_auto_clean:
	rm -rf $(DIR_ORIG)
	rm -f debian/copyright

%:
	dh $@
